[SRU, precise] Current version (2012.02.27) doesn't work anymore

Bug #1060813 reported by sash_ on 2012-10-03
52
This bug affects 9 people
Affects Status Importance Assigned to Milestone
youtube-dl (Debian)
Fix Released
Unknown
youtube-dl (Ubuntu)
Undecided
Unassigned
Precise
High
Unassigned

Bug Description

SRU Report for youtube-dl in precise/12.04.x

[IMPACT]
12.04's youtube-dl version 2012.02.27 isn't able to download videos from youtube, rendering the package broken/useless

[FIX]
Youtube now requires a 'signature' parameter in URLs. The upstream change adds this in a one-line patch.

[TESTCASE]
Try to download any video from youtube.com, e.g:
>> youtube-dl -t https://www.youtube.com/watch?v=kmNRN-l-BJw
[youtube] Setting language
[youtube] kmNRN-l-BJw: Downloading video webpage
[youtube] kmNRN-l-BJw: Downloading video info webpage
[youtube] kmNRN-l-BJw: Extracting video information
ERROR: unable to download video

[REGRESSION POTENTIAL]
Regression Potential is Low. The new upstream version (2012.09.27 version works and has been tested on Ubuntu quantal/12.10 and Debian sid:
>> youtube-dl -t https://www.youtube.com/watch?v=kmNRN-l-BJw
[youtube] Setting language
[youtube] kmNRN-l-BJw: Downloading video webpage
[youtube] kmNRN-l-BJw: Downloading video info webpage
[youtube] kmNRN-l-BJw: Extracting video information
[download] Destination: MechWarrior_Online_Video_Preview-kmNRN-l-BJw.mp4
[download] 100.0% of 61.84M at 171.70k/s ETA 00:00

[SOLUTION / WORK-AROUND]
See comment #6

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in youtube-dl (Ubuntu):
status: New → Confirmed
description: updated
summary: - Current version (2012.02.27) doesn't work anymore
+ [SRU, precise] Current version (2012.02.27) doesn't work anymore
Micah Gersten (micahg) wrote :

Fixed in quantal:
youtube-dl | 2012.09.27-1 | quantal/universe | source, all

Changed in youtube-dl (Ubuntu):
status: Confirmed → Fix Released
Micah Gersten (micahg) wrote :

This should be updated in precise, marked as High -> triaged per dlentz on IRC

Changed in youtube-dl (Ubuntu Precise):
importance: Undecided → High
status: New → Triaged
Harshil Doshi (hdoshi093) wrote :

harshil@ubuntu:~$ wget https://github.com/rg3/youtube-dl/raw/2012.09.27/youtube-dl
--2012-10-07 11:24:51-- https://github.com/rg3/youtube-dl/raw/2012.09.27/youtube-dl
Resolving github.com (github.com)... 207.97.227.239
Connecting to github.com (github.com)|207.97.227.239|:443... connected.
HTTP request sent, awaiting response... 302 Found
Location: https://raw.github.com/rg3/youtube-dl/2012.09.27/youtube-dl [following]
--2012-10-07 11:25:03-- https://raw.github.com/rg3/youtube-dl/2012.09.27/youtube-dl
Resolving raw.github.com (raw.github.com)... 207.97.227.243
Connecting to raw.github.com (raw.github.com)|207.97.227.243|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 41023 (40K) [text/plain]
Saving to: `youtube-dl'

100%[======================================>] 41,023 9.77K/s in 4.1s

2012-10-07 11:25:13 (9.77 KB/s) - `youtube-dl' saved [41023/41023]

harshil@ubuntu:~$ chmod +x ./youtube-dl
harshil@ubuntu:~$ youtube-dl http://www.youtube.com/watch?feature=player_detailpage&v=Kfja5-7Fw74
[1] 2959
harshil@ubuntu:~$ [youtube] Setting language
WARNING: unable to set language: <urlopen error [Errno -2] Name or service not known>
[youtube] watch: Downloading video webpage
ERROR: unable to download video webpage: HTTP Error 404: Not Found
^C
[1]+ Exit 1 youtube-dl http://www.youtube.com/watch?feature=player_detailpage
harshil@ubuntu:~$ youtube-dl -t http://www.youtube.com/watch?v=xa-0gDAO9As&feature=relmfu
[1] 3073
harshil@ubuntu:~$ [youtube] Setting language
WARNING: unable to set language: <urlopen error [Errno -2] Name or service not known>
[youtube] xa-0gDAO9As: Downloading video webpage
[youtube] xa-0gDAO9As: Downloading video info webpage
ERROR: unable to download video info webpage: <urlopen error [Errno -2] Name or service not known>
^C
[1]+ Exit 1 youtube-dl -t http://www.youtube.com/watch?v=xa-0gDAO9As
harshil@ubuntu:~$ youtube-dl -t http://www.youtube.com/watch?v=xa-0gDAO9As&feature=relmfu
[1] 3159
harshil@ubuntu:~$ [youtube] Setting language
[youtube] xa-0gDAO9As: Downloading video webpage
[youtube] xa-0gDAO9As: Downloading video info webpage
[youtube] xa-0gDAO9As: Extracting video information

ERROR: unable to download video
harshil@ubuntu:~$

now what i have to do?????

Changed in youtube-dl (Ubuntu):
assignee: nobody → Harshil Doshi (hdoshi093)
Changed in youtube-dl (Ubuntu):
assignee: Harshil Doshi (hdoshi093) → nobody
Chris Schoonbee (cmschoonbee) wrote :

Solution / Work-around
---------------------------------

Update your version of youtube-dl by running the command:
$ sudo youtube-dl -U

I had the same problem and this solved it.

description: updated
Changed in youtube-dl (Debian):
status: Unknown → Fix Released
Paul Abrahams (abrahams) wrote :

I'm running Kubuntu 12.10 and here's what I get, using what I believe to be the very latest version of youtube-dl:

pa@morchella:~/Downloads$ ./youtube-dl http://www.youtube.com/watch?v=EqGRROao5-M
[youtube] Setting language
WARNING: unable to set language: <urlopen error [Errno 2] No such file or directory>
[youtube] EqGRROao5-M: Downloading video webpage
ERROR: unable to download video webpage: <urlopen error [Errno 11] Resource temporarily unavailable>
pa@morchella:~/Downloads$ ./youtube-dl --version
2012.11.29

I do no better with the version in the repositories:

pa@morchella:~/Downloads$ youtube-dl http://www.youtube.com/watch?v=UeXaxiDZ2zk
[youtube] Setting language
WARNING: unable to set language: <urlopen error [Errno 2] No such file or directory>
[youtube] UeXaxiDZ2zk: Downloading video webpage
ERROR: unable to download video webpage: <urlopen error [Errno 11] Resource temporarily unavailable>
pa@morchella:~/Downloads$ youtube-dl --version
2012.09.27

Bryce Harrington (bryce) wrote :

On precise with version 2012.02.27-1, I can reproduce the failure to download youtube videos:

  $ youtube-dl -t https://www.youtube.com/watch?v=kmNRN-l-BJw
  [youtube] Setting language
  [youtube] kmNRN-l-BJw: Downloading video webpage
  [youtube] kmNRN-l-BJw: Downloading video info webpage
  [youtube] kmNRN-l-BJw: Extracting video information

  ERROR: unable to download video

This is an instance of this upstream bug:

  https://github.com/rg3/youtube-dl/issues/427

Which is fixed with this commit:

  https://github.com/rg3/youtube-dl/commit/9ca667065e7371322e0970421fb4e03f8bd00b9e

With that change applied, the test case passes:

  $ sudo dpkg -i youtube-dl_2012.02.27-1ubuntu0.1_all.deb
  (Reading database ... 240033 files and directories currently installed.)
  Preparing to replace youtube-dl 2012.02.27-1 (using youtube-dl_2012.02.27-1ubuntu0.1_all.deb) ...
  Unpacking replacement youtube-dl ...
  Setting up youtube-dl (2012.02.27-1ubuntu0.1) ...
  Processing triggers for man-db ...

  $ youtube-dl -t https://www.youtube.com/watch?v=kmNRN-l-BJw
  [youtube] Setting language
  [youtube] kmNRN-l-BJw: Downloading video webpage
  [youtube] kmNRN-l-BJw: Downloading video info webpage
  [youtube] kmNRN-l-BJw: Extracting video information
  [download] Destination: MechWarrior_Online_Video_Preview-kmNRN-l-BJw.mp4
  [download] 100.0% of 61.84M at 2.09M/s ETA 00:00

description: updated

Hello sash_, or anyone else affected,

Accepted youtube-dl into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/youtube-dl/2012.02.27-1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in youtube-dl (Ubuntu Precise):
status: Triaged → Fix Committed
tags: added: verification-needed
Miklos Juhasz (mjuhasz) wrote :

I can confirm that the proposed package fixes this bug. I can successfully download videos from YouTube again.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package youtube-dl - 2012.02.27-1ubuntu0.1

---------------
youtube-dl (2012.02.27-1ubuntu0.1) precise-proposed; urgency=low

  * Add 100-youtube-signature.patch: Add 'signature' to youtube URLs.
    Fixes failure to download youtube videos.
    (LP: #1060813)
 -- Bryce Harrington <email address hidden> Sun, 05 May 2013 20:37:17 -0700

Changed in youtube-dl (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.